Loading...
Searching...
No Matches
Opm::ParserKeyword Class Reference

## Public Member Functions

| ParserKeyword (const std::string &name, KeywordSize kw_size)
| ParserKeyword (const std::string &name)
| ParserKeyword (const Json::JsonObject &jsonConfig)
void | initSizeKeyword (const std::string &sizeKeyword, const std::string &sizeItem, bool table_collection, int size_shift)
bool | hasMatchRegex () const
bool | hasMatchRegexSuffix () const
void | setMatchRegex (const std::string &deckNameRegexp)
void | setMatchRegexSuffix (const std::string &deckNameRegexp)
bool | matches (const std::string_view &) const
bool | hasDimension () const
void | addRecord (ParserRecord)
void | addDataRecord (ParserRecord)
const ParserRecord & | getRecord (size_t recordIndex) const
ParserRecord & | getRecord (size_t recordIndex)
std::vector< ParserRecord >::const_iterator | begin () const
std::vector< ParserRecord >::const_iterator | end () const
const std::string | className () const
const std::string & | getName () const
std::optional< std::size_t > | min_size () const
size_t | getFixedSize () const
bool | hasFixedSize () const
bool | isTableCollection () const
const std::string & | getDescription () const
void | setDescription (const std::string &description)
bool | hasMultipleDeckNames () const
void | clearDeckNames ()
void | addDeckName (const std::string &deckName)
void | setCodeEnd (const std::string &end)
const std::unordered_set< std::string > & | deck_names () const
const std::string & | codeEnd () const
const std::vector< std::string > & | requiredKeywords () const
const std::vector< std::string > & | prohibitedKeywords () const
void | setRequiredKeywords (const std::vector< std::string > &)
void | setProhibitedKeywords (const std::vector< std::string > &)
void | clearValidSectionNames ()
void | addValidSectionName (const std::string &sectionName)
bool | isValidSection (const std::string &sectionName) const
const std::unordered_set< std::string > & | sections () const
DeckKeyword | parse (const ParseContext &parseContext, ErrorGuard &errors, RawKeyword &rawKeyword, UnitSystem &active_unitsystem, UnitSystem &default_unitsystem) const
enum ParserKeywordSizeEnum | getSizeType () const
const KeywordSize & | getKeywordSize () const
bool | isDataKeyword () const
bool | rawStringKeyword () const
bool | isCodeKeyword () const
bool | isAlternatingKeyword () const
bool | isDoubleRecordKeyword () const
void | setAlternatingKeyword (bool alternating)
void | setDoubleRecordsKeyword (bool double_rec)
std::string | createDeclaration (const std::string &indent) const
std::string | createDecl () const
std::string | createCode () const
bool | operator== (const ParserKeyword &) const
bool | operator!= (const ParserKeyword &) const

## Static Public Member Functions

static bool | validInternalName (const std::string &name)
static bool | validDeckName (const std::string_view &name)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Parser/ParserKeyword.hpp
- opm/input/eclipse/Parser/ParserKeyword.cpp